## Viz-Tool for Fixations

### Usage

1. Install dependencies with `npm i`.
2. Run a local server with `./start.sh`.
3. Load a file with fixations and its corresponding image of the text. There are some examples in the `example_data` folder.

![fig/menu.png](fig/menu.png)

4. You can also enter split screen mode via the button in the bottom left.

![fig/split_screen.png](fig/split_screen.png)

### Deployment

1. Run `npm run build` to generate bundle files in public folder
2. Copy the entire public directory to your web root, you may also need a reverse proxy (nginx, apache)

## Data format explanation

Fixation data has to be provided in csv format with the following headers

|Header|Example|
|---------|---------|
| x y duration word_id word |646.0 284.0 675 74 exonerated|

## Citing Viz-Tool

```bibtex
@inproceedings{sood-etal-2020-interpreting,
    title = "Interpreting Attention Models with Human Visual Attention in Machine Reading Comprehension",
    author = "Sood, Ekta  and
      Tannert, Simon  and
      Frassinelli, Diego  and
      Bulling, Andreas  and
      Vu, Ngoc Thang",
    booktitle = "Proceedings of the 24th Conference on Computational Natural Language Learning",
    month = nov,
    year = "2020",
    address = "Online",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/2020.conll-1.2",
    pages = "12--25",
    abstract = "While neural networks with attention mechanisms have achieved superior performance on many natural language processing tasks, it remains unclear to which extent learned attention resembles human visual attention. In this paper, we propose a new method that leverages eye-tracking data to investigate the relationship between human visual attention and neural attention in machine reading comprehension. To this end, we introduce a novel 23 participant eye tracking dataset - MQA-RC, in which participants read movie plots and answered pre-defined questions. We compare state of the art networks based on long short-term memory (LSTM), convolutional neural models (CNN) and XLNet Transformer architectures. We find that higher similarity to human attention and performance significantly correlates to the LSTM and CNN models. However, we show this relationship does not hold true for the XLNet models {--} despite the fact that the XLNet performs best on this challenging task. Our results suggest that different architectures seem to learn rather different neural attention strategies and similarity of neural to human attention does not guarantee best performance.",
}
```
